Bug 183 - update-menus странно отрабатывает koi и сp1251
: update-menus странно отрабатывает koi и сp1251
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/menu)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-11-27 17:10 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-11-27 17:10:37
Моя основная локаль - ru_RU.KOI8-R .
После очередного апдейта (какого точно - не скажу , но уже недели с три так точно) из сизифа меню mandrake для гнома(и только для него) встал в cp1251 . В процессе раскопок оказалось что в 
/usr/share/gnome/distribution-menu/mandrake/ в описаниях пунктов меню стоит и для 
Name[ru_RU.KOI8-R]=\"Текст в cp1251\" как и для
Name[ru_RU.CP1251]=\"Текст в cp1251\" ... 
многократные update-menus не помогали . 

Залез в /etc/menu-metods , посмотрел там и заметил что в lang.h в function languages() CP1251 стоит перед КОИ . 
Поменял их местами . Сделал update-menus - вот оно ! ;) 

Меню перегенерировались в koi , но вот в чём засада :
Теперь в вышеупомянутом distribution-menu для обоих определений NAME koi и cp1251 текст отображается в коi ...


Причём на сколько я (не)понял -- цикл из gnome-panel , который 
forall(languages(),\"lang\",\"Name[\" $lang \"]=\"translate($lang,title()) 
отрабатывается полностью , для остальных моих локалей de ,  uk , en translate был сделан корректно , а вот между ru_RU.KOI8-R и ru_RU.CP1251 - нет ...

В зависимости от того какая из них первой стоит в languages() из lang.h - в той меню и генерируется ..      
 

---

---
menu-2.1.5-ipl56mdk

$ locale
LANG=ru_RU.KOI8-R
LC_CTYPE=\"ru_RU.KOI8-R\"
LC_NUMERIC=\"ru_RU.KOI8-R\"
LC_TIME=\"ru_RU.KOI8-R\"
LC_COLLATE=\"ru_RU.KOI8-R\"
LC_MONETARY=\"ru_RU.KOI8-R\"
LC_MESSAGES=\"ru_RU.KOI8-R\"
LC_PAPER=\"ru_RU.KOI8-R\"
LC_NAME=\"ru_RU.KOI8-R\"
LC_ADDRESS=\"ru_RU.KOI8-R\"
LC_TELEPHONE=\"ru_RU.KOI8-R\"
LC_MEASUREMENT=\"ru_RU.KOI8-R\"
LC_IDENTIFICATION=\"ru_RU.KOI8-R\"
LC_ALL=

------- Comment #1 From 2001-12-20 13:31:47 -------
fixed in menu-2.1.5-ipl61mdk
------- Comment #2 From 2001-12-20 13:31:47 -------
fixed in menu-2.1.5-ipl61mdk
------- Comment #3 From 2003-09-24 12:24:10 -------
reassign 2 zerg@altlinux.org